Libosmium: osmium::builder::TagListBuilder Class Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::builder::TagListBuilder Class Reference

`#include <osm_object_builder.hpp>`

Inheritance diagram for osmium::builder::TagListBuilder:
[legend]
Collaboration diagram for osmium::builder::TagListBuilder:
[legend]

## Public Member Functions
| TagListBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
| TagListBuilder (Builder &parent)
| TagListBuilder (const TagListBuilder &)=delete
TagListBuilder & | operator= (const TagListBuilder &)=delete
| TagListBuilder (TagListBuilder &&)=delete
TagListBuilder & | operator= (TagListBuilder &&)=delete
| ~TagListBuilder ()
void | add_tag (const char *key, const char *value)
void | add_tag (const char *key, const std::size_t key_length, const char *value, const std::size_t value_length)
void | add_tag (const std::string &key, const std::string &value)
void | add_tag (const osmium::Tag &tag)
void | add_tag (const std::pair< const char *const, const char *const > &tag)
void | add_tag (const std::pair< const char *const, const char * > &tag)
void | add_tag (const std::pair< const char *, const char *const > &tag)
void | add_tag (const std::pair< const char *, const char * > &tag)
void | add_tag (const std::pair< const std::string &, const std::string & > &tag)
Public Member Functions inherited from osmium::builder::Builder
| Builder (const Builder &)=delete
| Builder (Builder &&)=delete
Builder & | operator= (const Builder &)=delete
Builder & | operator= (Builder &&)=delete
osmium::memory::Buffer & | buffer () noexcept
| Return the buffer this builder is using.
void | add_item (const osmium::memory::Item &item)

## Additional Inherited Members
Protected Member Functions inherited from osmium::builder::Builder
| Builder (osmium::memory::Buffer &buffer, Builder *parent, osmium::memory::item_size_type size)
| ~Builder () noexcept
unsigned char * | item_pos () const noexcept
osmium::memory::Item & | item () const noexcept
unsigned char * | reserve_space (std::size_t size)
void | add_padding (bool self=false)
void | add_size (osmium::memory::item_size_type size)
uint32_t | size () const noexcept
template<typename T>
T * | reserve_space_for ()
osmium::memory::item_size_type | append (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append_with_zero (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append (const char *str)

## Constructor & Destructor Documentation

## ◆ TagListBuilder() [1/4]

osmium::builder::TagListBuilder::TagListBuilder | ( | osmium::memory::Buffer & | buffer,
|  | Builder * | parent = nullptr )
| inlineexplicit

## ◆ TagListBuilder() [2/4]

osmium::builder::TagListBuilder::TagListBuilder | ( | Builder & | parent | ) |
| inlineexplicit

## ◆ TagListBuilder() [3/4]

osmium::builder::TagListBuilder::TagListBuilder | ( | const TagListBuilder & |  | ) |
| delete

## ◆ TagListBuilder() [4/4]

osmium::builder::TagListBuilder::TagListBuilder | ( | TagListBuilder && |  | ) |
| delete

## ◆ ~TagListBuilder()

osmium::builder::TagListBuilder::~TagListBuilder | ( |  | ) |
| inline

## Member Function Documentation

## ◆ add_tag() [1/9]

void osmium::builder::TagListBuilder::add_tag | ( | const char * | key,
|  | const char * | value )
| inline

Add tag to buffer.

Parameters

  key | Tag key (0-terminated string).
  value | Tag value (0-terminated string).

## ◆ add_tag() [2/9]

void osmium::builder::TagListBuilder::add_tag | ( | const char * | key,
|  | const std::size_t | key_length,
|  | const char * | value,
|  | const std::size_t | value_length )
| inline

Add tag to buffer.

Parameters

  key | Pointer to tag key.
  key_length | Length of key (not including the \0 byte).
  value | Pointer to tag value.
  value_length | Length of value (not including the \0 byte).

## ◆ add_tag() [3/9]

void osmium::builder::TagListBuilder::add_tag | ( | const osmium::Tag & | tag | ) |
| inline

Add tag to buffer.

Parameters

  tag | Tag.

## ◆ add_tag() [4/9]

void osmium::builder::TagListBuilder::add_tag | ( | const std::pair< const char *, const char * > & | tag | ) |
| inline

## ◆ add_tag() [5/9]

void osmium::builder::TagListBuilder::add_tag | ( | const std::pair< const char *, const char *const > & | tag | ) |
| inline

## ◆ add_tag() [6/9]

void osmium::builder::TagListBuilder::add_tag | ( | const std::pair< const char *const, const char * > & | tag | ) |
| inline

## ◆ add_tag() [7/9]

void osmium::builder::TagListBuilder::add_tag | ( | const std::pair< const char *const, const char *const > & | tag | ) |
| inline

Add tag to buffer.

Parameters

  tag | Pair of key/value 0-terminated strings.

## ◆ add_tag() [8/9]

void osmium::builder::TagListBuilder::add_tag | ( | const std::pair< const std::string &, const std::string & > & | tag | ) |
| inline

Add tag to buffer.

Parameters

  tag | Pair of std::string references.

## ◆ add_tag() [9/9]

void osmium::builder::TagListBuilder::add_tag | ( | const std::string & | key,
|  | const std::string & | value )
| inline

Add tag to buffer.

Parameters

  key | Tag key.
  value | Tag value.

## ◆ operator=() [1/2]

TagListBuilder & osmium::builder::TagListBuilder::operator= | ( | const TagListBuilder & |  | ) |
| delete

## ◆ operator=() [2/2]

TagListBuilder & osmium::builder::TagListBuilder::operator= | ( | TagListBuilder && |  | ) |
| delete

The documentation for this class was generated from the following file:

- include/osmium/builder/osm_object_builder.hpp